#include <bits/stdc++.h>
using namespace std;

int main()
{
    long n;
    cin>>n;

    string num;
    for(long i=0; i<n; i++) {
        int br;
        scanf("%d", &br);
        num+=to_string(br);
    }

    string temp = num;

    for (int i = 0; i < num.length(); i++) {
        for (int j = i + 1; j < num.length(); j++) {

            swap(num[i], num[j]);
            if (stoi(num) > stoi(temp))
                temp = num;

            swap(num[i], num[j]);
        }
    }

    cout<<temp;

    return 0;
}